Description

In CoCoA-5

??mat

gives a different result from

??matrix

 

Is this what we want?

History

#1 - 25 Oct 2017 16:14 - John Abbott

I was hoping to have an interesting issue with number 1111; instead it is just this... sigh!

My guess is that a CoCoA beginner would more likely type ??matrix than ??mat.

I had hoped that they would give the same results...

#2 - 15 May 2020 11:01 - Anna Maria Bigatti

- Subject changed from CoCoAManual: searching for mat and for matrix give different results to CoCoAManual: searching for ?? mat and for ?? matrix

give different results

- Status changed from New to Feedback

- Target version changed from CoCoA-5.?.? to CoCoA-5.4.0

- % Done changed from 0 to 90

? mat and ? matrix give the same result.

?? blah means "all entries whose search keys contain blah", so I don't find it strange to have different output for ?? mat and ?? matrix.

#3 - 15 May 2020 12:11 - John Abbott

I mostly agree.  However, I wonder whether some results which appear under ??mat should also appear under ??matrix.

Here are some candidates:

 ? DiagMat

 ? ElimHomogMat

 ? ElimMat

 ? HilbertMat

 ? IdentityMat
 ? LawrenceMat

 ? LexMat

 ? MakeMatByRows, MakeMatByCols

 ? MakeTermOrd

 ? matrix

 ? MSatLinSolve

 ? NewMat

 ? NewMatFilled

 ? RevLexMat

 ? StdDegLexMat

 ? StdDegRevLexMat

 ? SylvesterMat

 ? TensorMat

 ? XelMat

 ? ZeroMat

 

What do you think?  I suppose it would suffice to add matrix as a keyword...

#4 - 15 May 2020 13:56 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 90 to 100

- Estimated time set to 1.01 h

John Abbott wrote:

What do you think?  I suppose it would suffice to add matrix as a keyword...

 

As simple as that!  true, I did it.
